Release 1.24.3 preview

Forum for questions and support relating to the 1.24.x releases only.
force
Posts: 8
Joined: Wed Jan 26, 2011 12:03 pm

Postby force » Fri Mar 04, 2011 4:29 pm

Any way to install this on a Ubuntu-System with a rpm file? :-)

rambler
Posts: 4
Joined: Sun Nov 08, 2009 6:13 am

Re: Release 1.24.3 preview

Postby rambler » Mon Mar 07, 2011 12:09 am

mastertheknife wrote:
zoneminder wrote:
rambler wrote:
aajpotter wrote:The latest SVN and 1.24.3 produce the following error in the browser:

Parse error: syntax error, unexpected $end in /var/www/zoneminder/htdocs/includes/functions.php on line 2319


I'm having the same problem with the 1.24.3 download - haven't tried SVN.


Can you confirm what page you are getting this and also do a ls -l and an md5sum on functions.php?


Im unable to reproduce this. Backed up my functions.php and replaced it with one from SVN rev 3304 (latest) and everything works including streaming.
Do you have php short tags disabled in your php.ini? (running fedora?)

mastertheknife.


Yep, confirmed that "short_open_tag = Off" was the culprit - thanks.

User avatar
zoneminder
Site Admin
Posts: 5221
Joined: Wed Jul 09, 2003 2:07 pm
Location: Bristol, UK
Contact:

Postby zoneminder » Mon Mar 07, 2011 3:04 pm

That's interesting, I would not have expected that error.
Phil

djsmiley
Posts: 6
Joined: Thu Jun 18, 2009 9:51 am

Postby djsmiley » Thu Mar 10, 2011 3:28 pm

Hi,

I'm installed the new preview release on a virtual server, and i have problems with the mpeg streaming.

The system is Debian Squeeze with packages (ffmpeg, etc.) from Debian Multimedia.

Here is my apache2 error log:

Code: Select all

[Thu Mar 10 16:19:28 2011] [error] [client 192.168.1.54] socket_sendto( /tmp/zms-762692s.sock ) failed: No such file or directory, referer: http://192.168.1.196/zm/index.php?view=watch&mid=1
[Thu Mar 10 16:19:28 2011] [error] [client 192.168.1.54] array (\n  0 => \n  array (\n    'file' => '/usr/share/zoneminder/ajax/stream.php',\n    'line' => 55,\n    'function' => 'ajaxError',\n    'args' => \n    array (\n      0 => 'socket_sendto( /tmp/zms-762692s.sock ) failed: No such file or directory',\n    ),\n  ),\n  1 => \n  array (\n    'file' => '/usr/share/zoneminder/index.php',\n    'line' => 119,\n    'args' => \n    array (\n      0 => '/usr/share/zoneminder/ajax/stream.php',\n    ),\n    'function' => 'require_once',\n  ),\n), referer: http://192.168.1.196/zm/index.php?view=watch&mid=1


I don't know what is the problem, because the socket file exists, and it's readable and writable by anybody:

Code: Select all

root@debian6:/usr/share/zoneminder/tools/mootools# ls /tmp/zms-768265s.sock -al
srwxrwxrwx 1 www-data www-data 0 Mar 10 11:06 /tmp/zms-768265s.sock


I would like to use the mpeg streaming because i don't have unlimited bandwidth, and mjpeg stream on ~20 cams is late in the browser.

Can anybody suggest a solution for that?

I found older threads about similar problems, but no solution for that.

Thanks!

Regards,
Zoltan

aivs
Posts: 9
Joined: Fri Mar 18, 2011 12:15 pm

Re: Release 1.24.3 preview

Postby aivs » Tue Mar 22, 2011 4:34 pm

Hello, i installed ZineMinder 1.24.3 on Archlinux 2.6.37-ARCH, from the my package, and when i go to localhost/zm, i can't see the page.
In /var/log/httpd/error_log

Code: Select all

PHP Parse error:  syntax error, unexpected $end in /var/lib/zm/www/includes/functions.php on line 2319

mastertheknife
Posts: 667
Joined: Wed Dec 16, 2009 4:32 pm
Location: Israel
Contact:

Re: Release 1.24.3 preview

Postby mastertheknife » Tue Mar 22, 2011 8:06 pm

aivs wrote:Hello, i installed ZineMinder 1.24.3 on Archlinux 2.6.37-ARCH, from the my package, and when i go to localhost/zm, i can't see the page.
In /var/log/httpd/error_log

Code: Select all

PHP Parse error:  syntax error, unexpected $end in /var/lib/zm/www/includes/functions.php on line 2319


Enable php short tags in your php.ini

mastertheknife
Kfir Itzhak.

aivs
Posts: 9
Joined: Fri Mar 18, 2011 12:15 pm

Re: Release 1.24.3 preview

Postby aivs » Wed Mar 23, 2011 6:51 am

YES, it's work! thanks
in /etc/php/php.ini
short_open_tag = On

stlth
Posts: 12
Joined: Wed Mar 23, 2011 10:43 pm

Re: Release 1.24.3 preview

Postby stlth » Wed Mar 23, 2011 11:25 pm

Hi!

I have problem with new distro of ZM (1.24.3) running on Debian Lenny 2.6.26-2-686. I'm using old release of ZM 1.24.2 on Slackware 13.1 with six Philips SPC900NC CCD USB cams and it's working well but sometimes I have problems with USB and this is reason to change distro to Debian & new ZM. Three cams is connected directly to USB ports in server, and three via USB repeater using UTP Cable. Cable connections are OK. I don't know where is the problem. dmesg says after few hours:

Code: Select all

pwc: isoc_init() submit_urb 1 failed with error -19

This only messing with three cameras connected via repeaters...

Problem solves only reconnect of camera and restart of entire system and ZM but focus on new ZM and Debian. Fresh install of debian & ZM from source using this tutorial ( can't paste url :evil: )

Pre-install

Edit your /etc/apt/sources.list as follows: Where in my original sources.list I have

deb xxxxxxxxxxxxxxxxxxx/debian/ lenny main
deb-src xxxxxxxxxxxxxxxxxxxx/debian/ lenny main

deb xxxxxxxxxxxxxxxx/ lenny/updates main
deb-src xxxxxxxxxxxxxxx/ lenny/updates main
Edit this so at the end of eash line it reads

deb xxxxxxxxxxxxxxx/debian/ lenny main contrib non-free
deb-src xxxxxxxxxxxxxxxxxxxx/debian/ lenny main contrib non-free

deb xxxxxxxxxxxxxxxxx/ lenny/updates main contrib non-free
deb-src xxxxxxxxxxxxxxxxx/ lenny/updates main contrib non-free
Then you'll be wanting to run

# apt-get update
and
# apt-get install build-essential apache2 mysql-server netpbm libssl-dev libjpeg62-dev libmime-perl libwww-perl libarchive-tar-perl libdate-manip-perl libarchive-zip-perl libmime-lite-perl libdbi-perl libdbd-mysql libdbd-mysql-perl libpcre3-dev php5 php5-mysql libapache2-mod-auth-mysql libmysqlclient15-dev gnutls-bin ffmpeg pciutils
Course there'll be a whole load of dependencies to install so obviously 'Y' to the proceeding installation question.

Now might be an idea to 'ctrl+d, $ mkdir ~/zminder && cd ~/zminder' to keep all the following program files in the same place.

Before the installation can proceed, there's one more dependancy required, that of Perl's PHP::Serialisation library. This allows zoneminder to store data on rows in a serialised fashion. If this is the first time you've used the perl shell, it'll ask you some questions. Read them. But you'll probably be wanting to answer yes to all of them.

(You'll have to be root - 'sudo bash' for Ubuntu users)

# perl -MCPAN -e shell
install PHP::Serialization
exit
Then back to the folder:

[ctrl+d ]
$ cd ~/zminder
$ wget xxxxxxxxxxxxxxxxxZoneMinder-1.24.2.tar.gz
$ tar -zxvf ZoneMinder-1.24.2.tar.gz
Then obviously:

$ cd ZoneMinder-1.24.2
and then

$ ./configure --with-webdir=/var/www/zm --with-cgidir=/usr/lib/cgi-bin --with-webuser=www-data --with-webgroup=www-data --with-libarch=lib --with-ffmpeg=/usr/local
Sometimes (like in my case) there's a problem with the ssl headers so change the command line as follows:

$ ./configure --with-webdir=/var/www/zm --with-cgidir=/usr/lib/cgi-bin --with-webuser=www-data --with-webgroup=www-data --with-libarch=lib --with-ffmpeg=/usr/local ZM_SSL_LIB=openssl
So now that it's all configured, how about some funky shizzle?

$ make
[$ su]
# make install


Logging on localhost/zm works, zm starts but there is no video from camera :( I chmodded 777 /dev/video0 but still don't work... Camera works on other software eg. mplayer very well. Driver is loading fine and registering cam as /dev/video0:


Code: Select all

[21518.602424] pwc: Philips webcam module version 10.0.13 loaded.
[21518.602424] pwc: Supports Philips PCA645/646, PCVC675/680/690, PCVC720[40]/730/740/750 & PCVC830/840.
[21518.602424] pwc: Also supports the Askey VC010, various Logitech Quickcams, Samsung MPC-C10 and MPC-C30,
[21518.602424] pwc: the Creative WebCam 5 & Pro Ex, SOTEC Afina Eye and Visionite VCS-UC300 and VCS-UM100.
[21518.602424] pwc: Philips SPC 900NC USB webcam detected.
[21518.626732] pwc: Registered as /dev/video0.


Logs from ZM after WebGUI start (fixed /tmp/zm issue by mkdir & chmod 777):

Code: Select all

03/24/11 00:13:37.042702 zmdc[12245].INF [Starting pending process, zmc -d /dev/video0]
03/24/11 00:13:37.045505 zmdc[12245].INF ['zmc -d /dev/video0' starting at 11/03/24 00:13:37, pid = 12291]
03/24/11 00:13:37.314112 zmdc[12245].ERR ['zmc -d /dev/video0' exited abnormally, exit status 255]


I'm using video settings which works on Slack (320x240, PAL, YUV420P) but I have tested all combinations and still same effect.

short_open_tag in php.ini is On

Any suggestions?

wwwutz
Posts: 3
Joined: Tue Mar 22, 2011 1:19 pm

Re: 1.24.3 fixes the UINT64_C issues with libavutil

Postby wwwutz » Thu Mar 24, 2011 8:49 am

Hi, I also had this issue with UINT64_C and traced it down. I built zm=1.24.3 with ffmpeg-0.6.1 using a lot of --with-blah and --prefix bla for encapsulating the whole package into one tree.

There are several stages. First 'configure' internally fails due to its braindead technique to 'find' .h-header files. The ffmpeg include files are 'C'-header files, _UINT64C only gets defined, when either it's NOT g++ or __STDC_CONSTANT_MACROS defined.

For example: Since 'configure' does call AC_CHECK_HEADERS(libavutil/avutil.h,,,) with 'g++' but without __STDC_CONSTANT_MACROS the test bails out with errorcode due to undefined UINT64_C ( and NOT because there is no avutil.h ). This leads to HAVE_LIBAVUTIL_AVUTIL_H to be false (which is not true 8-) ) in config.h.

since configure bails out on all AC_CHECK_HEADERS macros for ffmpeg, compilations stops with "No location for avutils.h found" in zm_ffmpeg.h

quickfixing anything in zm won't help, since a) 'configure' already is doing it wrong. Even if you try to push __STDC_CONSTANT_MACROS through all configure macros that might have unforseen side effects: 'all' tests will have these macros defined. And if you have a more deatailed look at ffmpeg there are only about 3 lines of code using the _UINT64C macro definition.

all in all I ran into the 'hen-egg-hen' problem and my _dirty_ fix is a patch of zm_ffmpeg.h to replace the

Code: Select all

#if HAVE_LIBAVCODEC
#ifdef __cplusplus
[...]

lines with

Code: Select all

#ifndef ZM_FFMPEG_H
#define ZM_FFMPEG_H

#if HAVE_LIBAVCODEC

#ifdef __cplusplus
extern "C" {
#endif

# if __WORDSIZE == 64
#  define UINT64_C(c)   c ## UL
# else
#  define UINT64_C(c)   c ## ULL
# endif

#include <libavutil/avutil.h>
#include <libavcodec/avcodec.h>
#include <libavformat/avformat.h>
#include <libswscale/swscale.h>

#ifdef __cplusplus
}
#endif


This is dirty, but the main issue is using configure to check for existence of header files in 'non-standard' locations. (not to blame zm; configure is the bad guy!). AC_CHECK_HEADER should not 'warn' or silently 'undef'... it should die()/exit/bailout. why does it 'check' and continue if there is no solution if the check fails ? in this case its more complicated: if <libavutil/avutil.h> is gone, there might be <ffmepg/avutil.h> worth using. but if _both_ do not exist then it should die()/exit/bailout.

anyways this won't fix it completely: AC_CHECK_HEADER / configure is the bad guy here. there is another issue with --with-mysql which i will explain in another post.

cheers,
Peter

wwwutz
Posts: 3
Joined: Tue Mar 22, 2011 1:19 pm

v1.24.3 preview --with-mysql configure issue

Postby wwwutz » Thu Mar 24, 2011 9:27 am

Ok, next one:

I built an encapsulated mysql in /tmp/mysql using

Code: Select all

 
 tar zxf mysql-5.1.56.tar.gz
 cd mysql-5.1.56
 ./configure --prefix=/tmp/mysql
 make && make install


which is fine (for me).

to build zm I use:

Code: Select all

 tar zxf ZoneMinder-1.24.3.tar.gz
 cd ZoneMinder-1.24.3
 ./configure --prefix=/tmp/zm \
 --with-mysql=/tmp/mysql \

[... lotsa options ...]

 make || read
 make install || read


which whines:

Code: Select all

checking for mysql/mysql.h... no
configure: error: zm requires MySQL headers - check that MySQL development packages are installed


funny thing: if I would have had a mysql-1.0 installation with --prefix=/usr installed, it would have found the old include file 8-)

so to fix that configure.ac should also honor CPPFLAGS for mysql

Code: Select all

*** 74,79 ****
--- 74,80 ----
  AC_SUBST(MYSQL_CFLAGS)
 
  LDFLAGS="${MYSQL_LIBS} $LDFLAGS"
+ CPPFLAGS="${MYSQL_CFLAGS} $CPPFLAGS"
 
  FFMPEG_PREFIX=/usr
  AC_ARG_WITH(ffmpeg,


(patch format header detected as spam by phpBB...)

cheers,
Peter

User avatar
zoneminder
Site Admin
Posts: 5221
Joined: Wed Jul 09, 2003 2:07 pm
Location: Bristol, UK
Contact:

Re: Release 1.24.3 preview

Postby zoneminder » Thu Mar 24, 2011 3:10 pm

stlth wrote:Logs from ZM after WebGUI start (fixed /tmp/zm issue by mkdir & chmod 777):

Code: Select all

03/24/11 00:13:37.042702 zmdc[12245].INF [Starting pending process, zmc -d /dev/video0]
03/24/11 00:13:37.045505 zmdc[12245].INF ['zmc -d /dev/video0' starting at 11/03/24 00:13:37, pid = 12291]
03/24/11 00:13:37.314112 zmdc[12245].ERR ['zmc -d /dev/video0' exited abnormally, exit status 255]




You should get more info in your system log. Failing that set ZM_DBG_PRINT=1 in your environment and run zmc from the command line.
Phil

User avatar
zoneminder
Site Admin
Posts: 5221
Joined: Wed Jul 09, 2003 2:07 pm
Location: Bristol, UK
Contact:

Re: 1.24.3 fixes the UINT64_C issues with libavutil

Postby zoneminder » Thu Mar 24, 2011 3:13 pm

wwwutz wrote:This is dirty, but the main issue is using configure to check for existence of header files in 'non-standard' locations. (not to blame zm; configure is the bad guy!). AC_CHECK_HEADER should not 'warn' or silently 'undef'... it should die()/exit/bailout. why does it 'check' and continue if there is no solution if the check fails ? in this case its more complicated: if <libavutil/avutil.h> is gone, there might be <ffmepg/avutil.h> worth using. but if _both_ do not exist then it should die()/exit/bailout.

anyways this won't fix it completely: AC_CHECK_HEADER / configure is the bad guy here. there is another issue with --with-mysql which i will explain in another post.


I _think_ this may be the same issue as addressed by adding CPPFLAGS=-D__STDC_CONSTANT_MACROS to the configure line but I'm not sure I entirely understand everything you are addressing.
Phil

User avatar
zoneminder
Site Admin
Posts: 5221
Joined: Wed Jul 09, 2003 2:07 pm
Location: Bristol, UK
Contact:

Re: v1.24.3 preview --with-mysql configure issue

Postby zoneminder » Thu Mar 24, 2011 3:17 pm

wwwutz wrote:

Code: Select all

*** 74,79 ****
--- 74,80 ----
  AC_SUBST(MYSQL_CFLAGS)
 
  LDFLAGS="${MYSQL_LIBS} $LDFLAGS"
+ CPPFLAGS="${MYSQL_CFLAGS} $CPPFLAGS"
 
  FFMPEG_PREFIX=/usr
  AC_ARG_WITH(ffmpeg,



Thanks, this is a good suggestion. I think the --with-mysql parameter will probably disappear very soon in favour of just explicitly adding paths to CPPFLAGS, LDFLAGS etc on the configure line as that is a lot more flexible, if maybe not so obvious for inexperienced users.
Phil

Flash_
Posts: 442
Joined: Wed Jan 11, 2006 12:19 pm

Re: Release 1.24.3 preview

Postby Flash_ » Fri Mar 25, 2011 6:42 am

I don't have any spare servers to play with this, but
o FEATURE - Mapped memory (versus shared) is now the default.


Should cut down on at least half the support questions!

Thank you - great to see things moving again around here!

robfantini
Posts: 7
Joined: Wed Nov 19, 2008 10:07 pm

Re:

Postby robfantini » Sat Mar 26, 2011 5:42 pm

force wrote:Any way to install this on a Ubuntu-System with a rpm file? :-)


see

Code: Select all

aptitude show alien


Code: Select all

Package: alien                           
State: not installed
Version: 8.81
Priority: optional
Section: admin
Maintainer: Joey Hess <joeyh@debian.org>
Uncompressed Size: 250 k
Depends: debhelper (>= 3), perl, rpm (>= 2.4.4-2), dpkg-dev, make, cpio, rpm2cpio
Suggests: patch, bzip2, lsb-rpm, lintian, lzma
Description: convert and install rpm and other packages
 Alien allows you to convert LSB, Red Hat, Stampede and Slackware Packages into Debian packages, which can be
 installed with dpkg.
 
 It can also generate packages of any of the other formats.
 
 This is a tool only suitable for binary packages.
Homepage: http://kitenet.net/~joey/code/alien/


Return to “ZoneMinder 1.24.x”

Who is online

Users browsing this forum: Baidu [Spider] and 1 guest